#
# spec file for package papirus-icon-theme
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           papirus-icon-theme
Version:        20180501
Release:        lp150.1.1
Summary:        Papirus icon theme for Linux
License:        GPL-3.0-only
Group:          System/GUI/Other
URL:            https://github.com/PapirusDevelopmentTeam/papirus-icon-theme
Source:         https://github.com/PapirusDevelopmentTeam/papirus-icon-theme/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  automake
BuildRequires:  fdupes
Requires(post): gtk3-tools
BuildArch:      noarch
%if 0%{?suse_version} < 1500
Requires(post): hicolor-icon-theme
Requires(postun): hicolor-icon-theme
%endif

%description
Papirus is an SVG icon theme, based on Paper with a few extras like
hardcode-tray support, kde-color-scheme support, libreoffice icon theme, filezilla theme, smplayer themes ...)
and other modifications. The theme is available for GTK and KDE.

This package contains the following icon themes:

ePapirus
Papirus
Papirus-Dark
Papirus-Light
Papirus-Adapta
Papirus-Adapta-Nokto

%prep
%autosetup

%build

%install
%make_install
%fdupes %{buildroot}

#remove duplicate LICENSE files
find %{buildroot}%{_datadir}/icons -name LICENSE -delete

%if 0%{?suse_version} < 1500
%post
%icon_theme_cache_post ePapirus
%icon_theme_cache_post Papirus
%icon_theme_cache_post Papirus-Light
%icon_theme_cache_post Papirus-Dark
%icon_theme_cache_post Papirus-Adapta
%icon_theme_cache_post Papirus-Adapta-Nokto

%postun
%icon_theme_cache_postun ePapirus
%icon_theme_cache_postun Papirus
%icon_theme_cache_postun Papirus-Light
%icon_theme_cache_postun Papirus-Dark
%icon_theme_cache_postun Papirus-Adapta
%icon_theme_cache_postun Papirus-Adapta-Nokto
%endif

%files
%doc README.md
%license LICENSE
%{_datadir}/icons/ePapirus
%{_datadir}/icons/Papirus
%{_datadir}/icons/Papirus-Light
%{_datadir}/icons/Papirus-Dark
%{_datadir}/icons/Papirus-Adapta
%{_datadir}/icons/Papirus-Adapta-Nokto

%changelog
* Tue May  1 2018 matthias.eliasson@gmail.com
- Update to 20180501
  * Added icons
  * Updated icons
  * full changelog: https://github.com/PapirusDevelopmentTeam/papirus-icon-theme/releases/tag/20180501
* Tue Apr  3 2018 matthias.eliasson@gmail.com
- Update to 20180401
  * Added new icons
  * Updated a few icons
  * Colorize some mimes
  * Fix icon sizes on index.theme's (gh#PapirusDevelopmentTeam/papirus-icon-theme#1197)
* Wed Mar 14 2018 matthias.eliasson@gmail.com
- Update to 20180311
  * Added new icons
  * Updated a few icons
  * Fix some icons (gh#PapirusDevelopmentTeam/papirus-icon-theme#1151)
- Update License to follow SPDX-3.0 standard
* Sun Feb 18 2018 matthias.eliasson@gmail.com
- Update to 20180114
  * Added new icons
  * Updaded a few icons
* Thu Feb  1 2018 matthias.eliasson@gmail.com
- Update to 20180201
  * Added symlinks for Flatpak apps (gh#PapirusDevelopmentTeam/papirus-icon-theme#1062)
  * GIMP
  * Glade
  * gitg
  * dconf-editor
  * Android Studio
  * Added some mime symlinks for archives
  * Added microphone-sensitivity-none-symbolic symlink for Cinnamon
    (gh#PapirusDevelopmentTeam/papirus-icon-theme#1095)
  * Changed symbolic mail icons (gh#PapirusDevelopmentTeam/papirus-icon-theme#1076)
  * Fixed Ibus Pinyin (gh#PapirusDevelopmentTeam/papirus-icon-theme#1093)
  * Fixed animation of VPN connection
  * Redesign stars icons (bookmarks, bookmarks-missing, plasmagik, COH2)
* Sun Jan 21 2018 matthias.eliasson@gmail.com
- Update to 20180116
  * License changed from LGPL-3.0 to GPL-3.0
  * Added new icons
  * Updated a few icons
  * Added missing folder-torrent symlink
  * Fixed icon names for kdeconnect-indicator
  * Changed the white color to more lighter
- Update copyright year to 2018 of spec
- Remove duplicate LICENSE files in package
* Sun Dec 31 2017 jengelh@inai.de
- Trim redundant filler words and notes for other operating systems.
* Sat Dec 30 2017 matthias.eliasson@gmail.com
- Update to 20171223
  * Added several icons for Deepin DE
  * Rename icons for apps by @artemanufrij (gh#PapirusDevelopmentTeam/papirus-icon-theme#925,#931)
  * Removed help-about icon from apps (gh#PapirusDevelopmentTeam/papirus-icon-theme#926)
* Sun Dec 10 2017 matthias.eliasson@gmail.com
- Initial commit
